package com.inkasso.factoring.salesManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 销售合同管理表
 * </p>
 *
 * @author yafan
 * @since 2023-11-28
 */
@TableName("c_sales_contract_management")
public class CSalesContractManagement extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableField("business_number")
    private String businessNumber;

    /**
     * 贸易平台Id
     */
    @NotNull(message = "贸易平台id不能为空！")
    @TableField("trading_platform_id")
    private Long tradingPlatformId;

    /**
     * 合同状态
     */
    @TableField("contract_status")
    private String contractStatus;

    /**
     * 是否发生变更标识、默认为否
     */
    @TableField("is_change")
    private Boolean modify;

    /**
     * 客户id
     */
    @TableField("customer_id")
    private Long customerId;

    /**
     * 是否已做采购合同，0:否 1:是
     */
    @TableField("purch")
    private Integer purch;

    @TableField(exist = false)
    private List<Long> fileIds;

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    public String getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(String contractStatus) {
        this.contractStatus = contractStatus;
    }

    public Boolean getModify() {
        return modify;
    }

    public void setModify(Boolean modify) {
        this.modify = modify;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Integer getPurch() {
        return purch;
    }

    public void setPurch(Integer purch) {
        this.purch = purch;
    }

    @Override
    public String toString() {
        return "CSalesContractManagement{" +
                ", tradingPlatformId=" + tradingPlatformId +
                ", contractStatus=" + contractStatus +
                "}";
    }
}
